> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.cloudraker.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.cloudraker.com/_mcp/server.

# Inspect one request or run trace

GET https://api.cloudraker.com/me/developer-observability/{traceId}

Reference: https://docs.cloudraker.com/api/cloud-raker-api/workspace/developer-observability/get-developer-observation-trace

## Authentication

- `Authorization` header (bearer token, required)

## Request

### Path parameters

- `traceId` (string, required)

## Response

### 200

Ordered observations and current source-owned properties.

- `traceId` (string, required)
- `observations` (list of object, required)
  - `eventId` (string, required)
  - `traceId` (string, required)
  - `spanId` (string, required)
  - `org` (string, required)
  - `kind` (enum, required)
    - Allowed values: `request`, `network`, `queue`, `inference`, `action`, `storage`
  - `name` (string, required)
  - `status` (enum, required)
    - Allowed values: `running`, `ok`, `error`, `cancelled`, `expired`
  - `startedAt` (datetime, required)
  - `parentSpanId` (string, optional)
  - `requestId` (string, optional)
  - `runId` (string, optional)
  - `spaceId` (string, optional)
  - `tenant` (string, optional)
  - `capability` (enum, optional)
    - Allowed values: `extract`, `parse`, `redact`, `fill`, `sign`, `pipeline`, `files`, `actions`, `agent`, `runs`, `templates`, `webhooks`
  - `durationMs` (double, optional)
  - `expiresAt` (datetime, optional)
  - `method` (enum, optional)
    - Allowed values: `GET`, `POST`, `PUT`, `PATCH`, `DELETE`, `HEAD`, `OPTIONS`
  - `route` (string, optional)
  - `statusCode` (integer, optional)
  - `model` (string, optional)
  - `inputTokens` (integer, optional)
  - `outputTokens` (integer, optional)
  - `bytes` (integer, optional)
  - `errorCode` (string, optional)
- `source` (object, required)
  - `pipeline` (object, required, nullable)
    - `id` (string, required)
    - `status` (string, required)
    - `expiresAt` (datetime, required, nullable)
    - `keptSpaceId` (string, required, nullable)
    - `files` (list of object, required)
      - `id` (string, required)
      - `status` (string, required)
      - `processingKind` (string, required, nullable)
    - `actions` (list of object, required)
      - `runId` (string, required, nullable)
      - `installedActionId` (string, required)
      - `stepId` (string, required, nullable)
      - `status` (string, required)
  - `playbookRuns` (list of object, required)
    - `id` (string, required)
    - `spaceId` (string, required)
    - `playbookId` (string, required)
    - `playbookVersion` (integer, required)
    - `status` (string, required)
    - `taskProgress` (object, required)
      - `total` (integer, required)
      - `completed` (integer, required)
    - `pendingCount` (integer, required)
    - `outcome` (string, required, nullable)
    - `parentRunId` (string, required, nullable)
    - `rootRunId` (string, required, nullable)
    - `depth` (integer, required, nullable)
    - `modelSteps` (integer, required, nullable)
    - `createdAt` (datetime, required)
    - `updatedAt` (datetime, required)
    - `finishedAt` (datetime, required, nullable)
  - `actionRuns` (list of object, required)
    - `id` (string, required)
    - `spaceId` (string, required)
    - `actionSlug` (string, required)
    - `actionVersion` (integer, required)
    - `installedActionId` (string, required)
    - `playbookRunId` (string, required, nullable)
    - `status` (string, required)
    - `documentCount` (integer, required)
    - `outputCount` (integer, required)
    - `awaitingInputCount` (integer, required)
    - `timeoutSeconds` (integer, required)
    - `lastEventAt` (datetime, required)
    - `createdAt` (datetime, required)
    - `finishedAt` (datetime, required, nullable)
  - `files` (list of object, required)
    - `id` (string, required)
    - `parentType` (string, required)
    - `parentId` (string, required)
    - `mimeType` (string, required)
    - `size` (double, required, nullable)
    - `status` (string, required)
    - `processingKind` (string, required, nullable)
    - `parentFileId` (string, required, nullable)
    - `createdAt` (datetime, required)
    - `storedAt` (datetime, required, nullable)
    - `processedAt` (datetime, required, nullable)
  - `issues` (list of object, required)
    - `kind` (enum, required)
      - Allowed values: `pipeline`, `playbook_run`, `action_run`, `files`
    - `id` (string, required)
    - `status` (enum, required)
      - Allowed values: `missing`, `unavailable`

## Examples

**Response**

```json
{
  "traceId": "string",
  "observations": [
    {
      "eventId": "string",
      "traceId": "string",
      "spanId": "string",
      "org": "string",
      "kind": "request",
      "name": "string",
      "status": "running",
      "startedAt": "2024-01-15T09:30:00Z",
      "parentSpanId": "string",
      "requestId": "string",
      "runId": "string",
      "spaceId": "string",
      "tenant": "string",
      "capability": "extract",
      "durationMs": 1.1,
      "expiresAt": "2024-01-15T09:30:00Z",
      "method": "GET",
      "route": "string",
      "statusCode": 1,
      "model": "string",
      "inputTokens": 1,
      "outputTokens": 1,
      "bytes": 1,
      "errorCode": "string"
    }
  ],
  "source": {
    "pipeline": {
      "id": "string",
      "status": "string",
      "expiresAt": "2024-01-15T09:30:00Z",
      "keptSpaceId": "string",
      "files": [
        {
          "id": "string",
          "status": "string",
          "processingKind": "string"
        }
      ],
      "actions": [
        {
          "runId": "string",
          "installedActionId": "string",
          "stepId": "string",
          "status": "string"
        }
      ]
    },
    "playbookRuns": [
      {
        "id": "string",
        "spaceId": "string",
        "playbookId": "string",
        "playbookVersion": 1,
        "status": "string",
        "taskProgress": {
          "total": 1,
          "completed": 1
        },
        "pendingCount": 1,
        "outcome": "string",
        "parentRunId": "string",
        "rootRunId": "string",
        "depth": 1,
        "modelSteps": 1,
        "createdAt": "2024-01-15T09:30:00Z",
        "updatedAt": "2024-01-15T09:30:00Z",
        "finishedAt": "2024-01-15T09:30:00Z"
      }
    ],
    "actionRuns": [
      {
        "id": "string",
        "spaceId": "string",
        "actionSlug": "string",
        "actionVersion": 1,
        "installedActionId": "string",
        "playbookRunId": "string",
        "status": "string",
        "documentCount": 1,
        "outputCount": 1,
        "awaitingInputCount": 1,
        "timeoutSeconds": 1,
        "lastEventAt": "2024-01-15T09:30:00Z",
        "createdAt": "2024-01-15T09:30:00Z",
        "finishedAt": "2024-01-15T09:30:00Z"
      }
    ],
    "files": [
      {
        "id": "string",
        "parentType": "string",
        "parentId": "string",
        "mimeType": "string",
        "size": 1.1,
        "status": "string",
        "processingKind": "string",
        "parentFileId": "string",
        "createdAt": "2024-01-15T09:30:00Z",
        "storedAt": "2024-01-15T09:30:00Z",
        "processedAt": "2024-01-15T09:30:00Z"
      }
    ],
    "issues": [
      {
        "kind": "pipeline",
        "id": "string",
        "status": "missing"
      }
    ]
  }
}
```

**SDK Code**

```typescript
import { CloudRakerClient } from "@cloudraker/api";

async function main() {
    const client = new CloudRakerClient({
        token: "YOUR_TOKEN_HERE",
    });
    await client.developerObservability.getDeveloperObservationTrace({
        traceId: "traceId",
    });
}
main();

```

```python
from cloudraker import CloudRaker

client = CloudRaker(
    token="YOUR_TOKEN_HERE",
)

client.developer_observability.get_developer_observation_trace(
    trace_id="traceId",
)

```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.cloudraker.com/me/developer-observability/traceId"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.cloudraker.com/me/developer-observability/traceId")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.cloudraker.com/me/developer-observability/traceId")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.cloudraker.com/me/developer-observability/traceId', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.cloudraker.com/me/developer-observability/traceId");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.cloudraker.com/me/developer-observability/traceId")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```